=== ci/post/requirements.txt ===
Mako==1.2.2
requests==2.32.0
semantic-version==2.8.5
