=== debian/changelog ===
freespace2 (24.2.0+repack-1) unstable; urgency=medium

  * New upstream release.

 -- Sébastien Noel <sebastien@twolife.be>  Sun, 24 Aug 2025 12:10:14 +0200
