=== debian/packages/freespace2-data-gog/debian/changelog ===
freespace2-data-gog (1999-2) UNRELEASED; urgency=medium

  * Verify extracted files, not the archive (Closes: #743067).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 10 Jul 2016 06:59:09 +1000
