=== debian/packages/freespace2-mod-fsport/debian/changelog ===
freespace2-mod-fsport (3.7-1) UNRELEASED; urgency=medium

  * New upstream release [2022].
  * Modernised packaging.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 29 Dec 2023 20:25:26 +1100
