=== debian/packages/freespace2-mod-mediavps/debian/changelog ===
freespace2-mod-mediavps (4.7.3-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 09 Aug 2024 14:24:26 +1000
