=== debian/packages/freespace2-mod-fsport/debian/control ===
Source: freespace2-mod-fsport
Section: non-free/games
Priority: optional
Maintainer: Dmitry Smirnov <onlyjob@member.fsf.org>
Build-Depends: debhelper-compat (= 13)
              ,diffutils
              ,dpkg-dev
              ,p7zip-full
              ,wget
Standards-Version: 4.6.2
Homepage: http://fsport.hard-light.net/
Rules-Requires-Root: no

Package: freespace2-mod-fsport
Architecture: all
Depends: ${misc:Depends}
        ,freespace2-mod-fsport-campaign-greatwar
        ,freespace2-mod-fsport-campaign-silentthreat
        ,freespace2-mod-fsport-campaign-awakenings
        ,freespace2-mod-fsport-campaign-cardinalspear
        ,freespace2-mod-fsport-campaign-destinyofpeace
        ,freespace2-mod-fsport-cbani
        ,freespace2-mod-fsport-mediavps
        ,freespace2-mod-fsport-music
        ,freespace2-mod-fsport-video
Suggests: check-dfsg-status
Description: FreeSpace2 - all "fsport" campaigns (metapackage)
 The FreeSpace Port (fsport) is a mod for FreeSpace 2 that allows you to
 play the original Great War and Silent Threat campaigns in the newer
 FS2 engine, as well as specific user-made campaigns such as Silent
 Threat: Reborn. This version of the Port was specifically designed to
 be compatible with retail FreeSpace while still taking advantage of
 the additional features in FreeSpace Open.
 .
 This metapackage depends on all "fsport" campaigns and addons.

Package: freespace2-mod-fsport-campaign-greatwar
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
        ,freespace2-data-gog | freespace2-data-volition
        ,freespace2-mod-mediavps (>= 3.6.12)
        ,freespace2-mod-fsport-mediavps
Recommends: freespace2
           ,freespace2-mod-fsport-cbani
           ,freespace2-mod-fsport-music
           ,freespace2-mod-fsport-video
Suggests: check-dfsg-status
Description: FreeSpace2 - "FreeSpace - The Great War" campaign
 Original "Descent: FreeSpace – The Great War" 1998 campaign by Volition.
 .
 A fourteen-year war between the Terran and Vasudan species leads into
 something far more sinister. This is the story of the Great War.
 .
 The FreeSpace Port (fsport) is a mod for FreeSpace 2 that allows you to
 play the original Great War and Silent Threat campaigns in the newer
 FS2 engine, as well as specific user-made campaigns such as Silent
 Threat: Reborn. This version of the Port was specifically designed to
 be compatible with retail FreeSpace while still taking advantage of
 the additional features in FreeSpace Open.

Package: freespace2-mod-fsport-cbani
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
        ,freespace2-mod-fsport-campaign-greatwar
Recommends: freespace2, freespace2-launcher
Suggests: check-dfsg-status
Enhances: freespace2-mod-fsport-campaign-greatwar
         ,freespace2-mod-fsport-campaign-silentthreat
         ,freespace2-mod-fsport-campaign-awakenings
         ,freespace2-mod-fsport-campaign-cardinalspear
         ,freespace2-mod-fsport-campaign-destinyofpeace
Description: FreeSpace2 - fsport campaigns' (high-resolution CBANIs)
 Community-developed high-resolution command briefing animations (CBANI)
 that appear in the window under the command briefing text.
 .
 The FreeSpace Port (fsport) is a mod for FreeSpace 2 that allows you to
 play the original Great War and Silent Threat campaigns in the newer
 FS2 engine, as well as specific user-made campaigns such as Silent
 Threat: Reborn. This version of the Port was specifically designed to
 be compatible with retail FreeSpace while still taking advantage of
 the additional features in FreeSpace Open.

Package: freespace2-mod-fsport-mediavps
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
        ,freespace2-mod-fsport-campaign-greatwar
Recommends: freespace2-mod-fsport-mediavps-music
           ,freespace2
           ,freespace2-launcher
Suggests: check-dfsg-status
Enhances: freespace2-mod-fsport-campaign-greatwar
         ,freespace2-mod-fsport-campaign-silentthreat
         ,freespace2-mod-fsport-campaign-awakenings
         ,freespace2-mod-fsport-campaign-cardinalspear
         ,freespace2-mod-fsport-campaign-destinyofpeace
Description: FreeSpace2 - fsport campaigns' (high-resolution media)
 Community-developed high-resolution texture maps for "fsport"
 campaigns.
 .
 The FreeSpace Port (fsport) is a mod for FreeSpace 2 that allows you to
 play the original Great War and Silent Threat campaigns in the newer
 FS2 engine, as well as specific user-made campaigns such as Silent
 Threat: Reborn. This version of the Port was specifically designed to
 be compatible with retail FreeSpace while still taking advantage of
 the additional features in FreeSpace Open.

Package: freespace2-mod-fsport-mediavps-music
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: freespace2, freespace2-launcher
Suggests: check-dfsg-status
Enhances: freespace2-mod-fsport-mediavps
Description: FreeSpace2 - fsport campaigns' (high-resolution music)
 Music for "mediavps" high-resolution pack.
 .
 The FreeSpace Port (fsport) is a mod for FreeSpace 2 that allows you to
 play the original Great War and Silent Threat campaigns in the newer
 FS2 engine, as well as specific user-made campaigns such as Silent
 Threat: Reborn. This version of the Port was specifically designed to
 be compatible with retail FreeSpace while still taking advantage of
 the additional features in FreeSpace Open.

Package: freespace2-mod-fsport-music
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 freespace2-mod-fsport-campaign-greatwar | freespace2-mod-fsport-campaign-silentthreat
Recommends: freespace2, freespace2-launcher
Suggests: check-dfsg-status
Enhances: freespace2-mod-fsport-campaign-greatwar
         ,freespace2-mod-fsport-campaign-silentthreat
Description: FreeSpace2 - fsport campaigns' music
 Music for "Great War" and "Silent Threat" campaigns.
 .
 The FreeSpace Port (fsport) is a mod for FreeSpace 2 that allows you to
 play the original Great War and Silent Threat campaigns in the newer
 FS2 engine, as well as specific user-made campaigns such as Silent
 Threat: Reborn. This version of the Port was specifically designed to
 be compatible with retail FreeSpace while still taking advantage of
 the additional features in FreeSpace Open.

Package: freespace2-mod-fsport-video
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
        ,freespace2-mod-fsport-campaign-greatwar
Recommends: freespace2, freespace2-launcher
Suggests: check-dfsg-status
Enhances: freespace2-mod-fsport-campaign-greatwar
Description: FreeSpace2 - fsport campaigns' cutscenes
 Original and community-developed cutscenes for "Great War" campaign.
 .
 The FreeSpace Port (fsport) is a mod for FreeSpace 2 that allows you to
 play the original Great War and Silent Threat campaigns in the newer
 FS2 engine, as well as specific user-made campaigns such as Silent
 Threat: Reborn. This version of the Port was specifically designed to
 be compatible with retail FreeSpace while still taking advantage of
 the additional features in FreeSpace Open.

Package: freespace2-mod-fsport-campaign-silentthreat
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
        ,freespace2-mod-fsport-campaign-greatwar
        ,freespace2-mod-mediavps (>= 3.6.12)
        ,freespace2-mod-fsport-mediavps
Recommends: freespace2, freespace2-mod-fsport-mediavps
Suggests: check-dfsg-status
Description: FreeSpace2 - "Silent Treat" campaign
 Original "Descent: FreeSpace – Silent Threat: Reborn" 1998 expansion
 campaign by Volition.
 .
 As the Great War rages on, you've been commissioned by Galactic Terran
 Intelligence for special intelligence operations. Your objectives are
 to contain the Shivan onslaught and preserve the fragile Terran-Vasudan
 alliance. But a series of suspicious events cloud the GTI's spotless
 record. Is the GTI setting you up or are the Shivans spreading their
 evil rage?
 .
 The FreeSpace Port (fsport) is a mod for FreeSpace 2 that allows you to
 play the original Great War and Silent Threat campaigns in the newer
 FS2 engine, as well as specific user-made campaigns such as Silent
 Threat: Reborn. This version of the Port was specifically designed to
 be compatible with retail FreeSpace while still taking advantage of
 the additional features in FreeSpace Open.

Package: freespace2-mod-fsport-campaign-awakenings
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
        ,freespace2-mod-fsport-campaign-greatwar
        ,freespace2-mod-mediavps (>= 3.6.12)
        ,freespace2-mod-fsport-mediavps
Recommends: freespace2, freespace2-mod-fsport-mediavps
Suggests: check-dfsg-status
Description: FreeSpace2 - "Awakenings" campaign
 Community-developed campaign "Awakenings".
 .
 Three years after the destruction of the original Lucifer, the GTA
 begins to rebuild their systems while fighting the Shivans and the
 Hammer of Light.
 .
 The FreeSpace Port (fsport) is a mod for FreeSpace 2 that allows you to
 play the original Great War and Silent Threat campaigns in the newer
 FS2 engine, as well as specific user-made campaigns such as Silent
 Threat: Reborn. This version of the Port was specifically designed to
 be compatible with retail FreeSpace while still taking advantage of
 the additional features in FreeSpace Open.

Package: freespace2-mod-fsport-campaign-cardinalspear
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
        ,freespace2-mod-fsport-campaign-greatwar
        ,freespace2-mod-mediavps (>= 3.6.12)
        ,freespace2-mod-fsport-mediavps
Recommends: freespace2, freespace2-mod-fsport-mediavps
Suggests: check-dfsg-status
Description: FreeSpace2 - "Cardinal spear" campaign
 Community-developed campaign "Cardinal spear".
 .
 In the tenth year of war against the Vasudans, humanity had
 attempted one last desperate strike to end the war outright - a spear
 in the dark. The Cardinal Fleet had been laid ruin, and the crew of
 the GTD Agamemnon was being hunted by a Vasudan general. It was too
 late for victory, but not too late for vengeance...
 .
 The FreeSpace Port (fsport) is a mod for FreeSpace 2 that allows you to
 play the original Great War and Silent Threat campaigns in the newer
 FS2 engine, as well as specific user-made campaigns such as Silent
 Threat: Reborn. This version of the Port was specifically designed to
 be compatible with retail FreeSpace while still taking advantage of
 the additional features in FreeSpace Open.

Package: freespace2-mod-fsport-campaign-destinyofpeace
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
        ,freespace2-mod-fsport-campaign-greatwar
        ,freespace2-mod-fsport
        ,freespace2-mod-mediavps (>= 3.6.12)
Recommends: freespace2, freespace2-mod-fsport-mediavps
Suggests: check-dfsg-status
Description: FreeSpace2 - "Destiny of peace" campaign
 Community-developed campaign "Destiny of peace".
 .
 Seven months have passed since the destruction of the Lucifer.  With
 the war over and the Terran-Vasudan alliance flourishing, the need for
 new GTA pilots has declined. As a gifted young pilot, this disappoints
 you. The only job you could land was busting speeders at GTA outposts.
 You begin to feel like you're never going to get your chance to live
 your dream. Things are about to change...
 .
 The FreeSpace Port (fsport) is a mod for FreeSpace 2 that allows you to
 play the original Great War and Silent Threat campaigns in the newer
 FS2 engine, as well as specific user-made campaigns such as Silent
 Threat: Reborn. This version of the Port was specifically designed to
 be compatible with retail FreeSpace while still taking advantage of
 the additional features in FreeSpace Open.
