=== debian/packages/freespace2-mod-mediavps/debian/control ===
Source: freespace2-mod-mediavps
Section: non-free/games
Priority: optional
Maintainer: Dmitry Smirnov <onlyjob@member.fsf.org>
Build-Depends: debhelper (>= 9)
              ,diffutils
              ,dpkg-dev
              ,unzip
              ,wget
Standards-Version: 3.9.8
Homepage: http://scp.indiegames.us/bnr_mediavp.php

Package: freespace2-mod-mediavps
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: freespace2 (>= 23.2.0~), freespace2-video
Suggests: check-dfsg-status
Enhances: freespace2
Description: FreeSpace 2 - high resolution Media VPs
 The MediaVPs are a set of VP (container) files that add new art and
 effects to the FS2_Open engine. The MediaVPs contain all of the
 enhanced artwork and graphics that take advantage of the new
 capabilities of the FS2Open. These enhancements will apply to the
 original FreeSpace 2 campaign, or any campaigns based on it.
 .
 Note that these are not a replacement for the retail Freespace 2 VP files.
 .
 FreeSpace 2 is a 1999 space combat simulation computer game developed
 by Volition, Inc. as the sequel to Descent: FreeSpace – The Great
 War.
 The games take place in the 24th century. Mankind, referred to as
 Terrans, has developed means for space traveling, further fueled
 by the discovery of subspace which makes interstellar travel not
 only possible but also fast and easy. As a result the Terrans have
 expanded their territory, eventually encountering another bipedal,
 sentient species; the Vasudans. However, due to cultural differences
 and difficulties in communicating with each other, the Galactic Terran
 Alliance (GTA) and the Parliamentary Vasudan Empire (PVE) end up fighting
 a war that lasts for 14 years.
